configfile: 'config.yaml'

rule rewrite:
    output:
        config['OUTDIR'] + '/taxa+id_full_with-DSMZ.txt'

    input:
        config['OUTDIR'] + '/' + config['DSMZ_MATCH_DIR']

    shell:
        '''../bibliome-java-utils/test/install/bin/rewrite-taxonomy -namesFile {config[NCBI_NAMES_FILE]} -namesFile {input}/dsmz-names.dmp  -prefix ncbi: -rejectionFile reject.txt -saturationFile saturate.txt -pattern '{{NAME}}\t{{TAXID}}\t{{CANONICAL}}\t{{TAXID_PATH}}\t{{POS_TAG}}\t{{RANK}}\t{{SPECIES_TAXID}}\t{{SPECIES_NAME}}\n' {config[NCBI_NODES_FILE]} {input}/dsmz-nodes.dmp >{output}'''
